package model

import "github.com/zeromicro/go-zero/core/stores/sqlx"

var _ DcDeviceRelationModel = (*customDcDeviceRelationModel)(nil)

type (
	// DcDeviceRelationModel is an interface to be customized, add more methods here,
	// and implement the added methods in customDcDeviceRelationModel.
	DcDeviceRelationModel interface {
		dcDeviceRelationModel
	}

	customDcDeviceRelationModel struct {
		*defaultDcDeviceRelationModel
	}
)

// NewDcDeviceRelationModel returns a model for the database table.
func NewDcDeviceRelationModel(conn sqlx.SqlConn) DcDeviceRelationModel {
	return &customDcDeviceRelationModel{
		defaultDcDeviceRelationModel: newDcDeviceRelationModel(conn),
	}
}
