package model

import "github.com/zeromicro/go-zero/core/stores/sqlx"

var _ DcItemConfigModel = (*customDcItemConfigModel)(nil)

type (
	// DcItemConfigModel is an interface to be customized, add more methods here,
	// and implement the added methods in customDcItemConfigModel.
	DcItemConfigModel interface {
		dcItemConfigModel
	}

	customDcItemConfigModel struct {
		*defaultDcItemConfigModel
	}
)

// NewDcItemConfigModel returns a model for the database table.
func NewDcItemConfigModel(conn sqlx.SqlConn) DcItemConfigModel {
	return &customDcItemConfigModel{
		defaultDcItemConfigModel: newDcItemConfigModel(conn),
	}
}
